EUWATCH-GET-STATS(1)

NAME
euwatch-get-stats - Show a metric's statistics

SYNOPSIS
euwatch-get-stats -n NAMESPACE -s STAT1,STAT2,...

[--dimensions KEY1=VALUE1,KEY2=VALUE2,...]
    [--start-time YYYY-MM-DDThh:mm:ssZ] [--end-time YYYY-MM-DDThh:mm:ssZ] [--period SECONDS] [--unit UNIT] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] METRIC

DESCRIPTION
Show a metric's statistics

  positional arguments:

METRIC
    name of the metric to get statistics for (required)

  optional arguments:

-n NAMESPACE, --namespace NAMESPACE
    the metric's namespace (required)

-s STAT1,STAT2,..., --statistics STAT1,STAT2,...
    the metric statistics to show (at least 1 required)

--dimensions KEY1=VALUE1,KEY2=VALUE2,...
    the dimensions of the metric to show

--start-time YYYY-MM-DDThh:mm:ssZ
    earliest time to retrieve data points for (default: one hour ago)

--end-time YYYY-MM-DDThh:mm:ssZ
    latest time to retrieve data points for (default: now)

--period SECONDS
    granularity of the returned data points (must be a multiple of 60) (default: 60)

--unit UNIT
    unit the metric is reported in

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    instance monitoring service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit